# clicks

fun clicks (bitlink: String , unit: Units = Units.DAY, units: Int = -1, size: Int = 50, unit_reference: String = Constants.EMPTY, toJson: Boolean = false): String (source)

Returns the click counts for a specified Bitlink.

See the Bitly API for more information.

#### Return

The click counts.

#### Parameters

bitlink

A Bitlink made of the domain and hash.

unit

A unit of time.

units

An integer representing the time units to query data for. Pass -1 to return all units available.

size

The quantity of items to be be returned.

unit_reference

An ISO-8601 timestamp, indicating the most recent time for which to pull metrics. Will default to current time.

toJson

Returns the full JSON response if `true`.